Create a Vehicle Geofence Alert
POST/geofences/vehicle/createAlert
This endpoint is designed for creating a geofence alert associated with a specific vehicle. It enables the monitoring of the vehicle's entry and exit at the defined geofence. Note that setting up a new geofence alert for a vehicle will automatically remove any previous geofence alerts for that vehicle. As such, only one geofence alert can be active for a vehicle at any given time. The entry and exit will be reported inside the GET /notifications API.
Request
Responses
- 200
- 400
- 401
- 403
- 422
- 500
- 503
Alert created successfully
The request body is declared as JSON but cannot be parsed, or is not a JSON object or array. Nothing was processed.
Unauthorized access. Authentication is required.
Access is forbidden. The user does not have permission to access this resource, or the account is not currently active.
Validation failed for the input parameters.
Internal server error.
Service temporarily unavailable. The request did not complete and can be retried after the number of seconds in the Retry-After header, when one is sent.
Response Headers
Seconds to wait before retrying. Sent with db_busy and db_pool_timeout.